package cn.ibizlab.assetmanagement.core.workorder.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.workorder.domain.EAMWOStateModelLine;
/**
 * 关系型数据实体[EAMWOStateModelLine] 查询条件对象
 */
@Slf4j
@Data
public class EAMWOStateModelLineSearchContext extends QueryWrapperContext<EAMWOStateModelLine> {

	private String n_eamwostatemodellinename_like;//[工单状态模型明细名称]
	public void setN_eamwostatemodellinename_like(String n_eamwostatemodellinename_like) {
        this.n_eamwostatemodellinename_like = n_eamwostatemodellinename_like;
        if(!ObjectUtils.isEmpty(this.n_eamwostatemodellinename_like)){
            this.getSearchCond().like("eamwostatemodellinename", n_eamwostatemodellinename_like);
        }
    }
	private String n_eamwostatemodelid_eq;//[工单状态模型标识]
	public void setN_eamwostatemodelid_eq(String n_eamwostatemodelid_eq) {
        this.n_eamwostatemodelid_eq = n_eamwostatemodelid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwostatemodelid_eq)){
            this.getSearchCond().eq("eamwostatemodelid", n_eamwostatemodelid_eq);
        }
    }
	private String n_eamwostateid_eq;//[工单状态标识]
	public void setN_eamwostateid_eq(String n_eamwostateid_eq) {
        this.n_eamwostateid_eq = n_eamwostateid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwostateid_eq)){
            this.getSearchCond().eq("eamwostateid", n_eamwostateid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamwostatemodellinename", query)   
            );
		 }
	}
}



